This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 104860 - ant-1.5.2-16.src.rpm failed to build
ant-1.5.2-16.src.rpm failed to build
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ant (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 17:11 EDT by Limin Gu
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-25 04:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Limin Gu 2003-09-22 17:11:58 EDT
Description of problem:
I have tried to build ant-1.5.2-16.src.rpm on RH3.0 system, it failed to build
with
following err

...
/bin/sh ./libtool --mode=compile gcj-ssa --encoding=ISO-8859-1 -fassume-compiled
--classpath=upstream/src/main:upstream/src/testcases:/usr/share/java/xerces.jar:/usr/share/java/commons-logging.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/bcel.jar:/usr/share/java/xalan.jar:/usr/share/java/junit.jar
-g -O2 -c -o upstream/src/main/org/apache/tools/ant/taskdefs/CallTarget.lo `test
-f upstream/src/main/org/apache/tools/ant/taskdefs/CallTarget.java || echo
'./'`upstream/src/main/org/apache/tools/ant/taskdefs/CallTarget.java
gcj-ssa --encoding=ISO-8859-1 -fassume-compiled
--classpath=upstream/src/main:upstream/src/testcases:/usr/share/java/xerces.jar:/usr/share/java/commons-logging.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/bcel.jar:/usr/share/java/xalan.jar:/usr/share/java/junit.jar
-g -O2 -c upstream/src/main/org/apache/tools/ant/taskdefs/CallTarget.java -MT
upstream/src/main/org/apache/tools/ant/taskdefs/CallTarget.lo -MD -MP -MF
.deps/upstream/src/main/org/apache/tools/ant/taskdefs/CallTarget.TPlo  -fPIC -o
upstream/src/main/org/apache/tools/ant/taskdefs/.libs/CallTarget.o
source='upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.java'
object='upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.lo' libtool=yes
\
depfile='.deps/upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.Plo'
tmpdepfile='.deps/upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.TPlo'
\
depmode=gcc3 /bin/sh ./depcomp \
/bin/sh ./libtool --mode=compile gcj-ssa --encoding=ISO-8859-1 -fassume-compiled
--classpath=upstream/src/main:upstream/src/testcases:/usr/share/java/xerces.jar:/usr/share/java/commons-logging.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/bcel.jar:/usr/share/java/xalan.jar:/usr/share/java/junit.jar
-g -O2 -c -o upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.lo `test
-f upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.java || echo
'./'`upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.java
gcj-ssa --encoding=ISO-8859-1 -fassume-compiled
--classpath=upstream/src/main:upstream/src/testcases:/usr/share/java/xerces.jar:/usr/share/java/commons-logging.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/bcel.jar:/usr/share/java/xalan.jar:/usr/share/java/junit.jar
-g -O2 -c upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.java -MT
upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.lo -MD -MP -MF
.deps/upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.TPlo  -fPIC -o
upstream/src/main/org/apache/tools/ant/taskdefs/.libs/Checksum.o
upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.java: In class
`org.apache.tools.ant.taskdefs.Checksum':
upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.java: In method
`org.apache.tools.ant.taskdefs.Checksum.generateChecksums()':
upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.java:447: internal
compiler error: in make_edges, at cfgbuild.c:399
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [upstream/src/main/org/apache/tools/ant/taskdefs/Checksum.lo] Error
1
make[1]: Leaving directory `/usr/src/redhat/BUILD/ant-1.5.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.63898 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.63898 (%build)
[root@worldcom SPECS]#

Version-Release number of selected component (if applicable): RHAS 3.0 beta2,
ant-1.5.2-16


How reproducible: everytime


Steps to Reproduce:
1. rpm -Uhv ant-1.5.2-16.src.rpm
2. cd /usr/src/redhat/SPECS/
3. rpmbuild -ba ant.spec
    
Actual results: failed


Expected results: success


Additional info: no
Comment 1 Gary Benson 2003-09-23 04:56:13 EDT
1.5.2-16 is old; can you reproduce with 1.5.2-19?
Comment 2 Limin Gu 2003-09-23 14:58:33 EDT
> 1.5.2-16 is old; can you reproduce with 1.5.2-19?
No, I can't find 1.5.2-19.
Comment 3 Gary Benson 2003-09-24 05:07:34 EDT
It should be in the RHN channel, but failing that it's also at
http://people.redhat.com/gbenson/naoko/SRPMS/
Comment 4 Limin Gu 2003-09-24 16:50:42 EDT
> It should be in the RHN channel, but failing that it's also at
> http://people.redhat.com/gbenson/naoko/SRPMS/

Yes. the newer version builds fine after installing all other rpms needed for
the dependency.
Thanks,
--Limin

Note You need to log in before you can comment on or make changes to this bug.